<html>
<head>
<title>Ogre::CPreprocessor::Macro Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1CPreprocessor.html">CPreprocessor</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html">Macro</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::CPreprocessor::Macro Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::CPreprocessor::Macro" -->
<p>A macro definition.  
 <a href="classOgre_1_1CPreprocessor_1_1Macro.html#details">More...</a></p>

<p><a href="classOgre_1_1CPreprocessor_1_1Macro-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html#ae90162d4139a15eab792aafd301e147d">Macro</a> (const <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> &amp;iName)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html#a882e10e65ed20c49243b50f482787c66">~Macro</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html#abae2519e560b6fdb67dce03bfc028e5b">Expand</a> (int iNumArgs, <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> *iArgs, <a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html">Macro</a> *iMacros)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Expand the macro value (will not work for functions)  <a href="#abae2519e560b6fdb67dce03bfc028e5b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html#ae90162d4139a15eab792aafd301e147d">Macro</a> (const <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> &amp;iName)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html#a882e10e65ed20c49243b50f482787c66">~Macro</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html#abae2519e560b6fdb67dce03bfc028e5b">Expand</a> (int iNumArgs, <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> *iArgs, <a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html">Macro</a> *iMacros)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Expand the macro value (will not work for functions)  <a href="#abae2519e560b6fdb67dce03bfc028e5b"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html#aaa4db807c57ea970482b85adb2f61b7b">Name</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html" title="A macro definition.">Macro</a> name.  <a href="#aaa4db807c57ea970482b85adb2f61b7b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html#af98d6c5e1e691dc809143ec71d07461b">NumArgs</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of arguments.  <a href="#af98d6c5e1e691dc809143ec71d07461b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html#ab5237af20d6e7d79920b264f6890de28">Args</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The names of the arguments.  <a href="#ab5237af20d6e7d79920b264f6890de28"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html#a7d3ba112a580e5bb912014b92cad0c70">Value</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The macro value.  <a href="#a7d3ba112a580e5bb912014b92cad0c70"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html#a5f560cb50ebb7cab84b810bae354f710">Body</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Unparsed macro body (keeps the whole raw unparsed macro body)  <a href="#a5f560cb50ebb7cab84b810bae354f710"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html">Macro</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html#a76d7f64476e5a8d32333b9fb135d8573">Next</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Next macro in chained list.  <a href="#a76d7f64476e5a8d32333b9fb135d8573"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a>(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html#a1a494c322481277febe73cc37b7dc674">ExpandFunc</a> )(<a class="el" href="classOgre_1_1CPreprocessor.html">CPreprocessor</a> *iParent, int iNumArgs, <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> *iArgs)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A pointer to function implementation (if macro is really a func)  <a href="#a1a494c322481277febe73cc37b7dc674"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html#a6a67b68cac72a18e8e925b5728ee69c3">Expanding</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">true if macro expansion is in progress  <a href="#a6a67b68cac72a18e8e925b5728ee69c3"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A macro definition. </p>

<p>Definition at line <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00172">172</a> of file <a class="el" href="OgreGLSLPreprocessor_8h_source.html">OgreGLSLPreprocessor.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ae90162d4139a15eab792aafd301e147d"></a><!-- doxytag: member="Ogre::CPreprocessor::Macro::Macro" ref="ae90162d4139a15eab792aafd301e147d" args="(const Token &amp;iName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html#ae90162d4139a15eab792aafd301e147d">Ogre::CPreprocessor::Macro::Macro</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> &amp;&#160;</td>
          <td class="paramname"><em>iName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00192">192</a> of file <a class="el" href="OgreGLSLPreprocessor_8h_source.html">OgreGLSLPreprocessor.h</a>.</p>

</div>
</div>
<a class="anchor" id="a882e10e65ed20c49243b50f482787c66"></a><!-- doxytag: member="Ogre::CPreprocessor::Macro::~Macro" ref="a882e10e65ed20c49243b50f482787c66" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html#a882e10e65ed20c49243b50f482787c66">Ogre::CPreprocessor::Macro::~Macro</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00197">197</a> of file <a class="el" href="OgreGLSLPreprocessor_8h_source.html">OgreGLSLPreprocessor.h</a>.</p>

<p>References <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00180">Args</a>, and <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00186">Next</a>.</p>

</div>
</div>
<a class="anchor" id="ae90162d4139a15eab792aafd301e147d"></a><!-- doxytag: member="Ogre::CPreprocessor::Macro::Macro" ref="ae90162d4139a15eab792aafd301e147d" args="(const Token &amp;iName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html#ae90162d4139a15eab792aafd301e147d">Ogre::CPreprocessor::Macro::Macro</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> &amp;&#160;</td>
          <td class="paramname"><em>iName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLSLESPreprocessor_8h_source.html#l00192">192</a> of file <a class="el" href="OgreGLSLESPreprocessor_8h_source.html">OgreGLSLESPreprocessor.h</a>.</p>

</div>
</div>
<a class="anchor" id="a882e10e65ed20c49243b50f482787c66"></a><!-- doxytag: member="Ogre::CPreprocessor::Macro::~Macro" ref="a882e10e65ed20c49243b50f482787c66" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html#a882e10e65ed20c49243b50f482787c66">Ogre::CPreprocessor::Macro::~Macro</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLSLESPreprocessor_8h_source.html#l00197">197</a> of file <a class="el" href="OgreGLSLESPreprocessor_8h_source.html">OgreGLSLESPreprocessor.h</a>.</p>

<p>References <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00180">Args</a>, and <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00186">Next</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="abae2519e560b6fdb67dce03bfc028e5b"></a><!-- doxytag: member="Ogre::CPreprocessor::Macro::Expand" ref="abae2519e560b6fdb67dce03bfc028e5b" args="(int iNumArgs, Token *iArgs, Macro *iMacros)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> <a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html#abae2519e560b6fdb67dce03bfc028e5b">Ogre::CPreprocessor::Macro::Expand</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>iNumArgs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> *&#160;</td>
          <td class="paramname"><em>iArgs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html">Macro</a> *&#160;</td>
          <td class="paramname"><em>iMacros</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Expand the macro value (will not work for functions) </p>

</div>
</div>
<a class="anchor" id="abae2519e560b6fdb67dce03bfc028e5b"></a><!-- doxytag: member="Ogre::CPreprocessor::Macro::Expand" ref="abae2519e560b6fdb67dce03bfc028e5b" args="(int iNumArgs, Token *iArgs, Macro *iMacros)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> <a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html#abae2519e560b6fdb67dce03bfc028e5b">Ogre::CPreprocessor::Macro::Expand</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>iNumArgs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> *&#160;</td>
          <td class="paramname"><em>iArgs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html">Macro</a> *&#160;</td>
          <td class="paramname"><em>iMacros</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Expand the macro value (will not work for functions) </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ab5237af20d6e7d79920b264f6890de28"></a><!-- doxytag: member="Ogre::CPreprocessor::Macro::Args" ref="ab5237af20d6e7d79920b264f6890de28" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> * <a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html#ab5237af20d6e7d79920b264f6890de28">Ogre::CPreprocessor::Macro::Args</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The names of the arguments. </p>

<p>Definition at line <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00180">180</a> of file <a class="el" href="OgreGLSLPreprocessor_8h_source.html">OgreGLSLPreprocessor.h</a>.</p>

<p>Referenced by <a class="el" href="OgreGLSLESPreprocessor_8h_source.html#l00197">~Macro()</a>.</p>

</div>
</div>
<a class="anchor" id="a5f560cb50ebb7cab84b810bae354f710"></a><!-- doxytag: member="Ogre::CPreprocessor::Macro::Body" ref="a5f560cb50ebb7cab84b810bae354f710" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> <a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html#a5f560cb50ebb7cab84b810bae354f710">Ogre::CPreprocessor::Macro::Body</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unparsed macro body (keeps the whole raw unparsed macro body) </p>

<p>Definition at line <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00184">184</a> of file <a class="el" href="OgreGLSLPreprocessor_8h_source.html">OgreGLSLPreprocessor.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1a494c322481277febe73cc37b7dc674"></a><!-- doxytag: member="Ogre::CPreprocessor::Macro::ExpandFunc" ref="a1a494c322481277febe73cc37b7dc674" args=")(CPreprocessor *iParent, int iNumArgs, Token *iArgs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a>(* <a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html#a1a494c322481277febe73cc37b7dc674">Ogre::CPreprocessor::Macro::ExpandFunc</a>)(<a class="el" href="classOgre_1_1CPreprocessor.html">CPreprocessor</a> *iParent, int iNumArgs, <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> *iArgs)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>A pointer to function implementation (if macro is really a func) </p>

<p>Definition at line <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00188">188</a> of file <a class="el" href="OgreGLSLPreprocessor_8h_source.html">OgreGLSLPreprocessor.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6a67b68cac72a18e8e925b5728ee69c3"></a><!-- doxytag: member="Ogre::CPreprocessor::Macro::Expanding" ref="a6a67b68cac72a18e8e925b5728ee69c3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html#a6a67b68cac72a18e8e925b5728ee69c3">Ogre::CPreprocessor::Macro::Expanding</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>true if macro expansion is in progress </p>

<p>Definition at line <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00190">190</a> of file <a class="el" href="OgreGLSLPreprocessor_8h_source.html">OgreGLSLPreprocessor.h</a>.</p>

</div>
</div>
<a class="anchor" id="aaa4db807c57ea970482b85adb2f61b7b"></a><!-- doxytag: member="Ogre::CPreprocessor::Macro::Name" ref="aaa4db807c57ea970482b85adb2f61b7b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> <a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html#aaa4db807c57ea970482b85adb2f61b7b">Ogre::CPreprocessor::Macro::Name</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html" title="A macro definition.">Macro</a> name. </p>

<p>Definition at line <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00176">176</a> of file <a class="el" href="OgreGLSLPreprocessor_8h_source.html">OgreGLSLPreprocessor.h</a>.</p>

</div>
</div>
<a class="anchor" id="a76d7f64476e5a8d32333b9fb135d8573"></a><!-- doxytag: member="Ogre::CPreprocessor::Macro::Next" ref="a76d7f64476e5a8d32333b9fb135d8573" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html">Macro</a> * <a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html#a76d7f64476e5a8d32333b9fb135d8573">Ogre::CPreprocessor::Macro::Next</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Next macro in chained list. </p>

<p>Definition at line <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00186">186</a> of file <a class="el" href="OgreGLSLPreprocessor_8h_source.html">OgreGLSLPreprocessor.h</a>.</p>

<p>Referenced by <a class="el" href="OgreGLSLESPreprocessor_8h_source.html#l00197">~Macro()</a>.</p>

</div>
</div>
<a class="anchor" id="af98d6c5e1e691dc809143ec71d07461b"></a><!-- doxytag: member="Ogre::CPreprocessor::Macro::NumArgs" ref="af98d6c5e1e691dc809143ec71d07461b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html#af98d6c5e1e691dc809143ec71d07461b">Ogre::CPreprocessor::Macro::NumArgs</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Number of arguments. </p>

<p>Definition at line <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00178">178</a> of file <a class="el" href="OgreGLSLPreprocessor_8h_source.html">OgreGLSLPreprocessor.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7d3ba112a580e5bb912014b92cad0c70"></a><!-- doxytag: member="Ogre::CPreprocessor::Macro::Value" ref="a7d3ba112a580e5bb912014b92cad0c70" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> <a class="el" href="classOgre_1_1CPreprocessor_1_1Macro.html#a7d3ba112a580e5bb912014b92cad0c70">Ogre::CPreprocessor::Macro::Value</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The macro value. </p>

<p>Definition at line <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00182">182</a> of file <a class="el" href="OgreGLSLPreprocessor_8h_source.html">OgreGLSLPreprocessor.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="OgreGLSLPreprocessor_8h_source.html">OgreGLSLPreprocessor.h</a></li>
<li><a class="el" href="OgreGLSLESPreprocessor_8h_source.html">OgreGLSLESPreprocessor.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:22
</p>
</body>
</html>
